For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collection Item

This endpoint is used to manage collection items for a collection inside the organization.

Entity fields:

Path
Type
Description

data.type

string

Should be "item"

data.attributes.key

string

Variable key name

data.attributes.value

string

Variable value

data.attributes.description

string

Item description

data.attributes.category

string

Variable category: "ENV" or "TERRAFORM"

data.attributes.sensitive

boolean

To hide the value when the output is sensitive

data.attributes.hcl

boolean

Whether the value is HCL formatted

Example

POST /api/v1/organization/${ORGANIZATION_ID}/collection/${COLLECTION_ID}/item

{
    "data": {
        "type": "item",
        "attributes": {
            "key": "random_key",
            "value": "random_value",
            "description": "random_description",
            "category": "ENV",
            "sensitive": true,
            "hcl": false
        }
    }
}

Supported Operations

get

Returns the collection of item

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

Query parameters
page[number]integerOptional
page[size]integerOptional
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/collection/{collectionId}/item
GET /api/v1/organization/{organizationId}/collection/{collectionId}/item HTTP/1.1
Accept: */*
200

Successful response

{
  "data": []
}
post

Creates an item of type item

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

Body
Responses
201

Successful response

application/vnd.api+json
post/organization/{organizationId}/collection/{collectionId}/item
POST /api/v1/organization/{organizationId}/collection/{collectionId}/item HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 211

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "key": "text",
      "value": "text",
      "description": "text",
      "category": "text",
      "sensitive": true,
      "hcl": true
    },
    "relationships": {
      "collection": {
        "id": "text",
        "type": "collection"
      }
    }
  }
}
201

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "key": "text",
      "value": "text",
      "description": "text",
      "category": "text",
      "sensitive": true,
      "hcl": true
    },
    "relationships": {
      "collection": {
        "id": "text",
        "type": "collection"
      }
    }
  }
}
get

Returns an instance of type item

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

itemIdstringRequired

item Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/collection/{collectionId}/item/{itemId}
GET /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Accept: */*
200

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "key": "text",
      "value": "text",
      "description": "text",
      "category": "text",
      "sensitive": true,
      "hcl": true
    },
    "relationships": {
      "collection": {
        "id": "text",
        "type": "collection"
      }
    }
  }
}
delete

Deletes an instance of type item

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

itemIdstringRequired

item Identifier

Responses
204

Successful response

No content

delete/organization/{organizationId}/collection/{collectionId}/item/{itemId}
DELETE /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Accept: */*
204

Successful response

No content

patch

Modifies an instance of type item

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

itemIdstringRequired

item Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/collection/{collectionId}/item/{itemId}
PATCH /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 211

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "key": "text",
      "value": "text",
      "description": "text",
      "category": "text",
      "sensitive": true,
      "hcl": true
    },
    "relationships": {
      "collection": {
        "id": "text",
        "type": "collection"
      }
    }
  }
}
204

Successful response

No content

Last updated

Was this helpful?